package speiger.src.coreengine.rendering.inputOld.window;

import org.lwjgl.glfw.GLFWVidMode;

public record VideoMode(Monitor monitor, int width, int height, int redBits, int greenBits, int blueBits, int refreshrate) {

	public VideoMode(Monitor monitor, GLFWVidMode buffer) {
		this(monitor, buffer.width(), buffer.height(), buffer.redBits(), buffer.greenBits(), buffer.blueBits(), buffer.refreshRate());
	}
	
	public VideoMode(Monitor monitor, GLFWVidMode.Buffer buffer) {
		this(monitor, buffer.width(), buffer.height(), buffer.redBits(), buffer.greenBits(), buffer.blueBits(), buffer.refreshRate());
	}
}